PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int CORE_zlascl | ( | PLASMA_enum | type,
|  | int | kl,
|  | int | ku,
|  | double | cfrom,
|  | double | cto,
|  | int | m,
|  | int | n,
|  | PLASMA_Complex64_t * | A,
|  | int | lda
| ) |  |

CORE_zlascl scales all or part of a two-dimensional matrix A.

Parameters

  [in] | type | Specifies the type of the matrix A. = PlasmaGeneral : A is a general matrix = PlasmaLowerTriangular : A is a lower triangular matrix = PlasmaUpperTriangular : A is an upper triangular matrix = PlasmaUpperHessenberg : A is an upper Hessenberg matrix = PlasmaSymetricBandLowerStored : A is a symmetric band matrix with lower bandwidth KL and upper bandwidth KU and with the only the lower half stored = PlasmaSymetricBandUpperStored : A is a symmetric band matrix with lower bandwidth KL and upper bandwidth KU and with the only the upper half stored = PlasmaBand : A is a band matrix with lower bandwidth KL and upper bandwidth KU. See ZGBTRF for storage details.
  [in] | kl | is the lower bandwidth of A. Referenced only if type = PlasmaSymetricBandLowerStored, PlasmaSymetricBandUpperStored or PlasmaBand.
  [in] | ku | is the upper bandwidth of A. Referenced only if type = PlasmaSymetricBandLowerStored, PlasmaSymetricBandUpperStored or PlasmaBand.
  [in] | cfrom | is double precision
  [in] | cto | is double precision The matrix A is multiplied bt cto/cfrom. cfrom must be nonzero. The final result ctot*A(i,j)/cfrom is computed without over/underflow
  [in] | m | is the number of rows of the matrix A. m >= 0
  [in] | n | is the number of columns of the matrix A. n >= 0
  [in,out] | A | is the matrix to be multiplied by cto/cfrom
  [in] | lda | is the leading dimension of the array A. lda >= max(1,m).

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if -i, the i-th argument had an illegal value